Page MenuHomePhabricator

Upload hhvm to stretch apt repo in apt.wikimedia.org
Closed, ResolvedPublic

Description

Hi, could hhvm be uploaded to apt.wikimedia.org stretch dist please?

currently fails on stretch hosts

root@jenkins-slave-01:/home/paladox# apt-get install hhvm
Reading package lists... Done
Building dependency tree
Reading state information... Done
Package hhvm is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source

E: Package 'hhvm' has no installation candidate

Event Timeline

Paladox created this task.Jun 6 2017, 9:54 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 6 2017, 9:54 PM
Dzahn added a comment.Jun 6 2017, 10:58 PM

this would be like T125821 was for jessie

MoritzMuehlenhoff closed this task as Declined.Jun 7 2017, 7:11 AM

We won't provide HHVM packages for stretch before we start the stretch migration of the production app servers since building HHVM and the extensions and keeping them updated is quite a bit of work. That won't be far away, though. I'd like to start migrating the app servers to stretch some time next quarter.

Legoktm reopened this task as Stalled.Jun 22 2017, 2:45 AM
Legoktm triaged this task as Lowest priority.
Legoktm added a subscriber: Legoktm.

[changing status to stalled and priority lowest since this will happen eventually, just not now]

Legoktm added a comment.EditedSep 21 2017, 1:16 AM

I think this can be declined now given the plans to use PHP 7?

Based on T174431#3623584, ignore my comment.

MoritzMuehlenhoff closed this task as Resolved.Jan 31 2018, 2:37 PM
MoritzMuehlenhoff claimed this task.

HHVM is available for stretch-wikimedia for quite a while now (used by the video scalers).